function [] = fig_sec12_5_ospfWeightTabuSearch()

close all;

fileRoot = 'data/ospfWeghtOptimization_tabu';

cong_asp = load ([fileRoot '_05_asp_cong.txt']);
cong_noasp = load ([fileRoot '_05_noasp_cong.txt']);

figure;
plot (cong_asp(:,1) , cong_asp(:,2) , 'k--'); hold;
plot (cong_noasp(:,1) , cong_noasp(:,2) , 'k-'); 
xlabel ('Running time','FontName' , 'Times' ,'FontSize' , 11);
ylabel ('Congestion','FontName' , 'Times' ,'FontSize' , 11 );
legend ('Aspiration criterion' , 'No aspiration criterion','FontName' , 'Times' ,'FontSize' , 11 , 'Location' , 'NorthWest');
axis ([0 max(cong_asp(:,1),cong_noasp(:,1)) 0.5 1]);
